﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.OleDb;

namespace DBtest
{
  public partial class Form1 : Form
  {
    private OleDbConnection connection;
    public Form1()
    {
      InitializeComponent();
    }

    private void button1_Click(object sender, EventArgs e)
    {
      string str;
      OleDbCommand command;
      OleDbDataReader reader;
      int i;
      string sTableName, sTextResult;
      if (comboBox1.SelectedIndex < 0)
        lblResInfo.Text = "Не выбрано действие";
      else
      {
        command = connection.CreateCommand();
        lblResInfo.Text = "";
        switch(comboBox1.SelectedIndex)
        {
          case 0: // Показать все данные
            command    = connection.CreateCommand();
            command.CommandText      = "SELECT * FROM ListTable";
            reader = command.ExecuteReader(); 
            i = 0;
            while(reader.Read())
            {
              dataGridView1.Rows.Add(1);
              dataGridView1.Rows[i].Cells[0].Value = reader[0].ToString().Trim();
              dataGridView1.Rows[i].Cells[1].Value = reader[1].ToString().Trim();
              dataGridView1.Rows[i].Cells[2].Value = reader[2].ToString().Trim();
              i++;
            }
            reader.Close();       
            break;
          case 1: // очистить таблицу
            dataGridView1.RowCount = 1;
            break;
          case 2: // добавить данные из таблицы
            if(dataGridView1.RowCount == 1)
              lblResInfo.Text = "Не введены данные в таблицу";
            else
            {
              lblResInfo.Text = "";
              str = "INSERT INTO ListTable(tblName, tblResult) ";
              for (i = 0; i < dataGridView1.RowCount - 1; i++)
              {
                sTableName = dataGridView1.Rows[i].Cells[1].FormattedValue.ToString();
                sTextResult = dataGridView1.Rows[i].Cells[2].FormattedValue.ToString();
                command.CommandText = str + "Values(" + "'" + sTableName + "'" + ", "
                                                         + "'" + sTextResult + "'" + ")";
                command.ExecuteNonQuery();
              }
            }
            break;
          case 3: // изменить таблицу
            int numRow = dataGridView1.CurrentRow.Index;
            string sID  = (string) dataGridView1.Rows[numRow].Cells[0].Value; //.FormattedValue.ToString();
            sTableName  = dataGridView1.Rows[numRow].Cells[1].FormattedValue.ToString();
            sTextResult = dataGridView1.Rows[numRow].Cells[2].FormattedValue.ToString();

            str = "UPDATE ListTable SET tblName = " + "'" + sTableName  +  "'" + "," +
                                   " tblResult = "  + "'" + sTextResult +  "'" + " WHERE idTable = " // + sID;  
                                                    + "'" + sID         +  "'";
             command.CommandText = str;
             command.ExecuteNonQuery();
            break;

          default:
            break;

        }

      }
    }

    private void lblResInfo_Click(object sender, EventArgs e)
    {

    }

    private void Form1_Load(object sender, EventArgs e)
    {
      connection = new OleDbConnection();
      connection.ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=" +
                                    Application.StartupPath + "\\DBtest.mdb";
      //Provider=Microsoft.ACE.OLEDB.12.0;Data Source=E:\MyProgramming\DBtest\DBtest.accdb
      try
      {
        connection.Open();
      }
      catch
      {
        MessageBox.Show("Ошибка соединения с базой данных DBtest.mdb","Ошибка подключения к базе",
        MessageBoxButtons.OK, MessageBoxIcon.Error);
        Application.Exit();
      }
    }

 }
}
